Subject: bug#59346: Adding sqlite-backup

From: Eli Zaretskii <[email-masked]>
Date: Sat, 19 Nov 2022 15:51:37 +0200

> From: Andrew Hyatt <[email-masked]>
> Date: Sat, 19 Nov 2022 10:36:39 -0300
> Cc: [email-masked], Jean Louis <[email-masked]>
> 
>  I disagree.  We included sqlite support in Emacs to let Lisp programs
>  gain access to databases, but we didn't intend to make Emacs a
>  platform for developing full-fledged sqlite applications.
> 
> I now see where you are coming from.  But I never knew your intentions and have been working on
> SQLite-based applications.

This is perfectly fine.  Emacs is Free Software: you can always patch
it to have the additional primitives you need, and develop any
applications you want based on that.  The issue being discussed here
is what should we provide in Emacs by default for all our users.
There's no intent to tell you what to do in your own projects.

> It seems I’m not the only one. I think this represents a natural evolution where
> users are pushing the system beyond what is intended. That’s not a bad thing, and I think emacs should
> follow the desire paths carved out be users here. 
> 
> It’s fine to wait until the trends are clearer, but I think this is a very natural direction for module development,
> so its just a matter of time.  

I'd rather wait for now.